Create an API token
curl --request POST \
--url https://app.tarefy.com/nodeapi/v2/api-tokens \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"nivel": 123,
"expires_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://app.tarefy.com/nodeapi/v2/api-tokens"
payload = {
"name": "<string>",
"nivel": 123,
"expires_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', nivel: 123, expires_at: '2023-11-07T05:31:56Z'})
};
fetch('https://app.tarefy.com/nodeapi/v2/api-tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"nivel": 123,
"id_conta": 123,
"created_by": 123,
"created_by_name": "<string>",
"token_prefix": "<string>",
"token": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"last_used_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}API Tokens
Create an API token
Create an API token for the authenticated user’s account. Only Super Admin (level 5) can generate tokens.
POST
/
v2
/
api-tokens
Create an API token
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Token criado com sucesso
Token completo retornado apenas na criação
⌘I

